Skip to main content
GET
Get a webhook

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Path Parameters

id
string
required
Example:

"wbh_01ktgcztz8cz5evcmgah1d1qcb"

Response

Webhook

id
string
required
Example:

"wbh_01ktgcztz8cz5evcmgah1d1qcb"

url
string<uri>
required
Example:

"https://hooks.example.com/events/"

events
enum<string>[]
required
Minimum array length: 1
Available options:
sink.verified
Example:
description
string | null
required
Example:

null

status
enum<string>
required
Available options:
enabled,
disabled
Example:

"enabled"

created_at
string<date-time>
required
Example:

"2025-10-10T21:03:58Z"

updated_at
string<date-time>
required
Example:

"2025-10-10T21:03:58Z"

secret
string

Symmetric signing secret for HMAC signature verification. Only returned once upon webhook creation.

Pattern: ^whsec_[A-Za-z0-9+/=]+$
Example:

"whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"